Skip to main content
List Simulations
curl --request GET \
  --url https://api.ionworks.com/simulations
{
  "simulations": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "experiment_id": "<string>",
      "parameterized_model_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "design_id": "<string>",
      "job_id": "<string>",
      "status": "<string>",
      "error": "<string>",
      "error_code": "<string>",
      "metrics": {},
      "storage_folder": "<string>",
      "organization_id": "<string>",
      "experiment": {},
      "parameterized_model": {},
      "design": {}
    }
  ],
  "model_scalar_parameters": {},
  "total": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

parameterized_model_id
string | null
study_id
string | null
limit
integer
default:100
Required range: 1 <= x <= 1000
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

Response for study simulations with deduplicated model parameters.

Instead of including full parameters on each simulation (which can be massive expression trees), this response includes simulations without parameters and a separate map of model_id -> scalar parameters. The frontend can merge: design.design_parameters over model base params.

simulations
SimulationSummary · object[]
required

List of simulation summaries without full parameters

model_scalar_parameters
Model Scalar Parameters · object

Map of parameterized_model_id to scalar-only parameters. Used as fallback when design.design_parameters doesn't have a value.

total
integer
default:0

Total number of matching simulations.